Loading...
Searching...
No Matches
roll_state Struct Reference

`#include <aaruformat/spamsum.h>`

## Data Fields

uint8_t | window [7]
uint32_t | h1
uint32_t | h2
uint32_t | h3
uint32_t | n

## Detailed Description

Definition at line 41 of file spamsum.h.

## Field Documentation

## h1

uint32_t roll_state::h1

Definition at line 44 of file spamsum.h.

Referenced by roll_hash().

## h2

uint32_t roll_state::h2

Definition at line 45 of file spamsum.h.

Referenced by roll_hash().

## h3

uint32_t roll_state::h3

Definition at line 46 of file spamsum.h.

Referenced by roll_hash().

## n

uint32_t roll_state::n

Definition at line 47 of file spamsum.h.

Referenced by roll_hash().

## window

uint8_t roll_state::window[7]

Definition at line 43 of file spamsum.h.

Referenced by roll_hash().

The documentation for this struct was generated from the following file:

- include/aaruformat/spamsum.h